## opennebula 5.3.80

=== src/acl/SConstruct ===
# SConstruct for src/authm

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_acl'

# Sources to generate the library
source_files=[
    'AclManager.cc',
    'AclRule.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/dm/SConstruct ===
# SConstruct for src/vm

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_dm'

# Sources to generate the library
source_files=[
    'DispatchManager.cc',
    'DispatchManagerActions.cc',
    'DispatchManagerStates.cc',
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/document/SConstruct ===
# SConstruct for src/document

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_document'

# Sources to generate the library
source_files=[
    'Document.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/lcm/SConstruct ===
# SConstruct for src/vm

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_lcm'

# Sources to generate the library
source_files=[
    'LifeCycleManager.cc',
    'LifeCycleActions.cc',
    'LifeCycleStates.cc',
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/market/SConstruct ===
# SConstruct for src/datastore

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_marketplace'

# Sources to generate the library
source_files=[
    'MarketPlace.cc',
    'MarketPlacePool.cc',
    'MarketPlaceApp.cc',
    'MarketPlaceAppPool.cc',
    'MarketPlaceManager.cc',
    'MarketPlaceManagerDriver.cc',
    'MarketPlaceManagerActions.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/pool/SConstruct ===
# SConstruct for src/pool

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_pool'

# Sources to generate the library
source_files=[
    'PoolSQL.cc',
    'PoolObjectSQL.cc',
    'ObjectCollection.cc',
    'PoolObjectAuth.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/vm_group/SConstruct ===
# SConstruct for src/secgroup

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_vmgroup'

# Sources to generate the library
source_files=[
    'VMGroupPool.cc',
    'VMGroup.cc',
    'VMGroupRole.cc',
    'VMGroupRule.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

# Stripped library for scheduler with role logic
lib_name='nebula_vmgroup_roles'

source_files=[
    'VMGroupRole.cc',
    'VMGroupRule.cc'
]

env.StaticLibrary(lib_name, source_files)

=== src/vm_template/SConstruct ===
# SConstruct for src/vm

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_vmtemplate'

# Sources to generate the library
source_files=[
    'VMTemplate.cc',
    'VMTemplatePool.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/zone/SConstruct ===
# SConstruct for src/zone

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_zone'

# Sources to generate the library
source_files=[
    'ZonePool.cc',
    'Zone.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/mad/utils/SConstruct ===
# ---------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                  #
#                                                                              #
# Licensed under the Apache License, Version 2.0 (the "License"); you may      #
# not use this file except in compliance with the License. You may obtain      #
# a copy of the License at                                                     #
#                                                                              #
# http://www.apache.org/licenses/LICENSE-2.0                                   #
#                                                                              #
# Unless required by applicable law or agreed to in writing, software          #
# distributed under the License is distributed on an "AS IS" BASIS,            #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.     #
# See the License for the specific language governing permissions and          #
# limitations under the License.                                               #
# ---------------------------------------------------------------------------- #

Import('env')
import os

env['LIBS'] = "util"

env.Program('tty_expect.c')

=== src/scheduler/src/sched/SConstruct ===
# SConstruct for src/pool

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('sched_env')
import os

lib_name='scheduler_sched'

source_files=['Scheduler.cc' , 'SchedulerTemplate.cc']

# Build library
sched_env.StaticLibrary(lib_name, source_files)

# Build daemon
sched_env.Prepend(LIBS=[
    'scheduler_sched',
    'scheduler_pool',
    'nebula_vmgroup_roles',
    'nebula_log',
    'nebula_client',
    'nebula_acl',
    'nebula_pool',
    'nebula_xml',
    'nebula_common',
    'nebula_core',
    'nebula_template',
    'nebula_vm',
    'nebula_host',
    'crypto',
    'xml2'
])

if not sched_env.GetOption('clean'):
    sched_env.ParseConfig(("LDFLAGS='%s' ../../../../share/scons/get_xmlrpc_config client") % (os.environ['LDFLAGS'],))

sched_env.Program('mm_sched.cc')

=== debian/changelog ===
opennebula (5.3.80-1) unstable; urgency=low

  * Imported from http://packages.qa.debian.org/o/opennebula.html

 -- OpenNebula Team <contact@opennebula.org> Fri, 02 Jun 2017 17:09:39 +0000

=== debian/control ===
Source: opennebula
Section: utils
Priority: extra
Maintainer: OpenNebula Team <contact@opennebula.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>,
           Soren Hansen <soren@ubuntu.com>,
           Jaime Melis <jmelis@opennebula.org>
Build-Depends: bash-completion,
               bison,
               debhelper (>= 7.0.50~),
               default-jdk,
               flex,
               javahelper (>= 0.32),
               libmysql++-dev,
               libsqlite3-dev,
               libssl-dev,
               libws-commons-util-java,
               libxml2-dev,
               libxmlrpc3-client-java,
               libxmlrpc3-common-java,
               libxslt1-dev,
               libcurl4-openssl-dev,
               ruby,
               scons
Standards-Version: 3.9.3
Homepage: http://opennebula.org/
Vcs-Git: git://git.debian.org/pkg-opennebula/opennebula.git
Vcs-Browser: http://git.debian.org/?p=pkg-opennebula/opennebula.git

Package: opennebula
Architecture: any
Depends: apg,
         genisoimage,
         opennebula-tools (= ${source:Version}),
         ruby-opennebula (= ${source:Version}),
         wget,
         curl,
         ruby-json,
         ruby-uuidtools,
         ruby-amazon-ec2,
         ruby-parse-cron,
         qemu-utils,
         libcurl3,
         ${misc:Depends}
Replaces: ruby-opennebula (<< 4.90.5),
          opennebula-sunstone (<< 5.0.2),
          opennebula-flow (<< 5.0.2),
          opennebula-gate (<< 5.0.2)
Breaks:  ruby-opennebula (<< 4.90.5),
         opennebula-sunstone (<< 5.0.2),
         opennebula-flow (<< 5.0.2),
         opennebula-gate (<< 5.0.2)
Suggests: mysql-server
Description: controller which executes the OpenNebula cluster services
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package contains OpenNebula Controller which manage all nodes in the
 cloud.

Package: opennebula-sunstone
Architecture: all
Depends: opennebula-common (= ${source:Version}),
         ruby-opennebula (= ${source:Version}),
         opennebula-tools (= ${source:Version}),
         thin,
         ruby-json,
         ruby-sinatra,
         ruby-rack,
         python,
         python-numpy,
         ${misc:Depends}
Conflicts: opennebula (<< ${source:Version})
Description: web interface to which executes the OpenNebula cluster services
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 OpenNebula Sunstone is the new OpenNebula Cloud Operations Center,
 a GUI intended for users and admins, that will simplify the typical management
 operations in private and hybrid cloud infrastructures. You will be able to
 manage your virtual resources in a similar way as you do with the
 CLI.

Package: opennebula-gate
Architecture: all
Depends: opennebula-common (= ${source:Version}),
         ruby-json,
         ruby-opennebula (= ${source:Version}),
         ruby-sinatra,
         ruby-rack,
         thin,
         ${misc:Depends}
Conflicts: opennebula (<< ${source:Version})
Description: send information to OpenNebula from the Virtual Machines.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the server part to enable communication between the
 Virtual Machines and OpenNebula

Package: opennebula-flow
Architecture: all
Depends: opennebula-common (= ${source:Version}),
         ruby-json,
         ruby-opennebula (= ${source:Version}),
         ruby-sinatra,
         thin,
         curl,
         ${misc:Depends}
Conflicts: opennebula (<< ${source:Version})
Description: Manage services.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the server that allows service management.


Package: opennebula-common
Architecture: all
Depends: adduser, openssh-client, ${misc:Depends}
Recommends: lvm2, sudo (>= 1.7.2p1)
Description: empty package to create OpenNebula users and directories
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package sets up the basic directory structure and users needed to run
 an OpenNebula cloud.

Package: opennebula-node
Architecture: all
Depends: adduser,
         libvirt-bin,
         qemu-kvm,
         opennebula-common (= ${source:Version}),
         ruby,
         vlan,
         ipset,
         pciutils,
         ${misc:Depends}
Recommends: openssh-server | ssh-server
Description: empty package to prepare a machine as OpenNebula Node
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package prepares the machine for being a node in an OpenNebula
 cloud.

Package: ruby-opennebula
Section: ruby
Architecture: all
Depends: ruby,
         ruby-mysql,
         ruby-password,
         ruby-sequel,
         ruby-sqlite3,
         ruby-nokogiri,
         ruby-builder,
         ${misc:Depends},
         ${ruby:Depends}
Breaks: opennebula-gate (<< 4.90.5), opennebula-sunstone (<< 4.90.5)
Replaces: opennebula-gate (<< 4.90.5), opennebula-sunstone (<< 4.90.5)
Description: Ruby bindings for OpenNebula Cloud API (OCA)
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula Cloud API (OCA) Ruby bindings.

Package: opennebula-tools
Architecture: all
Depends: opennebula-common (= ${source:Version}),
         ruby-opennebula (= ${source:Version}),
         ${misc:Depends},
         ${ruby:Depends}
Description: Command-line tools for OpenNebula Cloud
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula CLI.

Package: libopennebula-java
Section: java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Java bindings for OpenNebula Cloud API (OCA)
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula Cloud API (OCA) Java bindings.

Package: libopennebula-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: ${java:Recommends}
Description: Java bindings for OpenNebula Cloud API (OCA) - documentation
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the documentation (Javadoc API) and examples for
 OpenNebula Cloud API (OCA) Java bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# Handle group assignment: libvirt (Debian) and libvirtd (Ubuntu)
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	LIB_VIRT_GROUP = libvirtd
	DISTRO = Ubuntu
else
	LIB_VIRT_GROUP = libvirt
	DISTRO = Debian8
endif

dpkg_buildflags = DEB_LDFLAGS_MAINT_APPEND="-Wl,--as-needed" dpkg-buildflags

# injecting CPPFLAGS to CFLAGS and CXXFLAGS
export CPPFLAGS:=$(shell $(dpkg_buildflags) --get CPPFLAGS)
export CFLAGS:=$(shell $(dpkg_buildflags) --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS:=$(shell $(dpkg_buildflags) --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS:=$(shell $(dpkg_buildflags) --get LDFLAGS)

%:
	dh $@ --with javahelper,bash-completion

override_dh_auto_build:
	#scons  mysql=yes new_xmlrpc=yes
	tar xzvf build_opennebula.tar.gz
	#XMLRPC_DIR="debian/" debian/build_opennebula.sh
	./build_opennebula.sh
	(cd src/oca/java/; \
	ln -s /usr/share/java/xmlrpc-common-3.1.jar lib/; \
	ln -s /usr/share/java/xmlrpc-client-3.1.jar lib/; \
	ln -s /usr/share/java/ws-commons-util.jar lib/; \
	./build.sh -d)

override_dh_auto_install:
	DESTDIR=dist ./install.sh
	dh_auto_install
ifneq (,$(filter opennebula-common, $(shell dh_listpackages)))
	dh_install -p opennebula-common share/pkgs/logrotate/opennebula /etc/logrotate.d/
	dh_install -p opennebula-common share/pkgs/${DISTRO}/opennebula.sudoers \
		/etc/sudoers.d
	mv debian/opennebula-common/etc/sudoers.d/opennebula.sudoers \
		debian/opennebula-common/etc/sudoers.d/opennebula
endif
ifneq (,$(filter opennebula, $(shell dh_listpackages)))
	dh_install -p opennebula share/pkgs/${DISTRO}-systemd/opennebula.service \
		/lib/systemd/system/
	dh_install -p opennebula share/pkgs/${DISTRO}-systemd/opennebula-scheduler.service \
		/lib/systemd/system/
	dh_install -p opennebula share/pkgs/${DISTRO}-systemd/opennebula.conf /usr/lib/tmpfiles.d/
endif
ifneq (,$(filter opennebula-sunstone, $(shell dh_listpackages)))
	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}-systemd/opennebula-sunstone.service \
		/lib/systemd/system/
	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}-systemd/opennebula-econe.service \
		/lib/systemd/system/
	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}-systemd/opennebula-novnc.service \
		/lib/systemd/system/

	cp share/pkgs/${DISTRO}-systemd/opennebula.conf \
		share/pkgs/${DISTRO}-systemd/opennebula-sunstone.conf
	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}-systemd/opennebula-sunstone.conf \
		/usr/lib/tmpfiles.d/
endif
ifneq (,$(filter opennebula-gate, $(shell dh_listpackages)))
	dh_install -p opennebula-gate share/pkgs/${DISTRO}-systemd/opennebula-gate.service \
		/lib/systemd/system/

	cp share/pkgs/${DISTRO}-systemd/opennebula.conf \
		share/pkgs/${DISTRO}-systemd/opennebula-gate.conf
	dh_install -p opennebula-gate share/pkgs/${DISTRO}-systemd/opennebula-gate.conf \
		/usr/lib/tmpfiles.d/
endif
ifneq (,$(filter opennebula-flow, $(shell dh_listpackages)))
	dh_install -p opennebula-flow share/pkgs/${DISTRO}-systemd/opennebula-flow.service \
		/lib/systemd/system/

	cp share/pkgs/${DISTRO}-systemd/opennebula.conf \
		share/pkgs/${DISTRO}-systemd/opennebula-flow.conf
	dh_install -p opennebula-flow share/pkgs/${DISTRO}-systemd/opennebula-flow.conf \
		/usr/lib/tmpfiles.d/
endif
ifneq (,$(filter opennebula-node, $(shell dh_listpackages)))
	dh_install -p opennebula-node share/etc/sysctl.d/bridge-nf-call.conf /etc/sysctl.d/
	dh_install -p opennebula-node share/pkgs/${DISTRO}-systemd/opennebula-node.conf \
		/usr/lib/tmpfiles.d/
endif
ifneq (,$(filter opennebula-tools, $(shell dh_listpackages)))
	cp share/install_gems/Ubuntu1604/Gemfile.lock dist/usr/share/one/
endif

override_dh_installinit:
ifneq (,$(filter opennebula, $(shell dh_listpackages)))
	dh_installinit -p opennebula --name=opennebula --onlyscripts --no-start
	dh_installinit -p opennebula --name=opennebula-scheduler --onlyscripts --no-start
endif
ifneq (,$(filter opennebula-sunstone, $(shell dh_listpackages)))
	dh_installinit -p opennebula-sunstone --name=opennebula-sunstone --onlyscripts --no-start
	dh_installinit -p opennebula-sunstone --name=opennebula-econe --onlyscripts --no-start
	dh_installinit -p opennebula-sunstone --name=opennebula-novnc --onlyscripts --no-start
endif
ifneq (,$(filter opennebula-gate, $(shell dh_listpackages)))
	dh_installinit -p opennebula-gate --name=opennebula-gate --onlyscripts --no-start
endif
ifneq (,$(filter opennebula-flow, $(shell dh_listpackages)))
	dh_installinit -p opennebula-flow --name=opennebula-flow --onlyscripts --no-start
endif
	dh_installinit

override_dh_installdeb:
ifneq (,$(filter opennebula-node, $(shell dh_listpackages)))
	sed "s/@LIBVIRTGRP@/${LIB_VIRT_GROUP}/g" debian/opennebula-node.postinst.in > debian/opennebula-node.postinst
endif
	dh_installdeb

override_dh_fixperms:
	dh_fixperms
ifneq (,$(filter opennebula-common, $(shell dh_listpackages)))
	chmod 0440 debian/opennebula-common/etc/sudoers.d/opennebula
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf dist/
	scons --clean .
	(cd src/oca/java/; \
	rm lib/xmlrpc-common-3.1.jar; \
	rm lib/xmlrpc-client-3.1.jar; \
	rm lib/ws-commons-util.jar; \
	rm -rf jar/; rm -rf share/doc/; \
	./build.sh -c)
	-rm -Rf .scons_temp
	-rm -Rf share/scons/lex_bison.pyc \
		src/nebula/.xmlrpc_test/xmlrpc_test.* \
		src/scheduler/.xmlrpc_test/xmlrpc_test.* \
		src/scheduler/src/sched/.xmlrpc_test \
		.xmlrpc_test
	-rm -Rf debian/opennebula-node.postinst

get-orig-source:
	uscan --force-download --no-symlink

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --exclude=opennebula
